import { AfterViewInit, OnChanges, SimpleChanges } from '@angular/core';
import { AngularMaterialTimepickerBase } from './angular-material-timepicker-base';
import { AngularMaterialTimepickerMode } from './types/mode-type';
import * as i0 from "@angular/core";
export declare class AngularMaterialTimepickerComponent extends AngularMaterialTimepickerBase implements OnChanges, AfterViewInit {
    /** Mode for building the hour structure */
    mode: AngularMaterialTimepickerMode;
    /** The current hour selected by the component to be shown */
    hour: string;
    /** The current hour selected by the component to be shown */
    minute: string;
    constructor();
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    /** Builds the hour structure taking into account the mode */
    private buildHours;
    /** Sets the current hour or minutes once the user did clicked the view */
    elementClicked(type: 'hour' | 'minute', value: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AngularMaterialTimepickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AngularMaterialTimepickerComponent, "angular-material-timepicker", never, {}, {}, never, never>;
}
